Qt 5.13 | Qt Virtual Keyboard | QML Types | InputModeKey QML Type

Qt Virtual Keyboard | Commercial or GPLv3

# InputModeKey QML Type

Input mode key for keyboard layouts. More...

Import Statement: | import QtQuick.VirtualKeyboard 2.13
Since: | QtQuick.VirtualKeyboard 2.3
Inherits: | Key

- List of all members, including inherited members

## Properties

- inputModeCount : int
- inputModeNameList : var
- inputModes : var

## Detailed Description

This key toggles between available InputEngine.inputModes.

## Property Documentation

[read-only] inputModeCount : int

This read-only property reflects the actual number of input modes the user can cycle through this key.

inputModeNameList : var

List of input mode names.

The default list contains all known input modes for InputEngine.inputMode.

inputModes : var

List of input modes to toggle.

This property allows to define a custom list of input modes to toggle.

The default list contains all the available input modes.